<?php

namespace App\Http\Requests;

use App\LitmasSidang;
use Gate;
use Illuminate\Foundation\Http\FormRequest;

class MassDestroyLitmasSidangRequest extends FormRequest
{
    public function authorize()
    {
        return abort_if(Gate::denies('litmas_sidang_delete'), 403, '403 Forbidden') ?? true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:litmas_sidangs,id',
        ];
    }
}
